Galaxy 3 - Ranorex 5.0.3

Mobile Testing, Android App Testing.
brentmclauclan
Certified Professional
Certified Professional
Posts: 23
Joined: Wed Jun 25, 2014 11:59 am

Galaxy 3 - Ranorex 5.0.3

Post by brentmclauclan » Tue Jul 15, 2014 7:48 pm

Hi there

Trying to get mobile device detected by Ranorex - what url should I use to install required software on my cell phone so that I can try to make a small automation test. I'm connecting my phone to computer via USB - the computer can open folders on the cell phone. Ranorex currently cannot add device..sees no device connected via USB.

Thanks

Brent

krstcs
Ranorex Guru
Posts: 2683
Joined: Tue Feb 07, 2012 4:14 pm
Location: Austin, Texas, USA

Re: Galaxy 3 - Ranorex 5.0.3

Post by krstcs » Tue Jul 15, 2014 8:13 pm

They have pretty good online documentation for Ranorex here: http://www.ranorex.com/support/user-guide-20.html. You should give it a read through if you haven't.


Specifically for Android testing, you should read this: http://www.ranorex.com/support/user-gui ... sting.html. It explains how to setup Android and Ranorex for testing apps.
Shortcuts usually aren't...

brentmclauclan
Certified Professional
Certified Professional
Posts: 23
Joined: Wed Jun 25, 2014 11:59 am

Re: Galaxy 3 - Ranorex 5.0.3

Post by brentmclauclan » Tue Jul 15, 2014 8:35 pm

Hi.

Are there any instrumented Apps that can be downloaded onto my Android based phone from Ranorex Site to experiment with?

Thanks

Brent

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: Galaxy 3 - Ranorex 5.0.3

Post by Support Team » Fri Jul 18, 2014 2:38 pm

Hello brentmclauclan,

Unfortunately, we do not offer a download of an instrumented APK file. That aside, you can use the RxBrowser in order to get started with mobile testing. Simply open the Ranorex Instrumentation Wizard and deploy the RxBrowser to your device:
Ranorex Instrumentation Wizard.png
Ranorex Instrumentation Wizard.png (35.32 KiB) Viewed 660 times
Please note that you will need Ranorex 5.1 in order to use the RxBrowser.

Regards,
Robert
.
Image